package com.hzya.frame.sys.appParameter.dao.impl;


import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.appParameter.dao.ISysAppParameterMapper;
import com.hzya.frame.sys.appParameter.entity.SysAppParameter;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @description: 应用表  dao
 * @tableName: sys_app
 * @entityName: SysApp
 * @author: llg
 * @history:1.0
 */
@Service
public class SysAppParameterMapperImpl extends MybatisGenericDao<SysAppParameter, String> implements ISysAppParameterMapper {


    @Override
    public SysAppParameter entity_get(Integer id) {

        SysAppParameter o = (SysAppParameter) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    @Override
    public List<SysAppParameter> entity_list_base(SysAppParameter entity) {

        List<SysAppParameter> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    @Override
    public List<SysAppParameter> entity_list_like(SysAppParameter entity) {

        List<SysAppParameter> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    @Override
    public List<SysAppParameter> entity_list_or(SysAppParameter entity) {

        List<SysAppParameter> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    @Override
    public SysAppParameter entity_insert(SysAppParameter entity) {

        entity = super.save(getSqlIdPrifx() + "entity_insert", entity);
        return entity;

    }

    @Override
    public Integer entity_update(SysAppParameter entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    @Override
    public Integer entity_delete(SysAppParameter entity) {

        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }

    @Override
    public Integer logicDelete_Multi_Condition(SysAppParameter entity) {

        Integer o = super.delete(getSqlIdPrifx() + "logicDelete_Multi_Condition", entity);
        return o;

    }
}
